> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Resident Payment: Rentvine

POST https://api.propexo.com/v1/resident-payments/rentvine/
Content-Type: application/json

Rentvine only allows primary residents to have payments assigned to them. This can be seen in the residents\_meta\_data or leases\_meta\_data API fields on their resident\_type\_normalized field. This field must be set to PRIMARY.| Method                                                  | Interface  |
| ------------------------------------------------------- | ---------- |
| POST /api/manager/accounting/leases/\{leaseID}/payments | Accounting |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/rentvine/billing-and-payments/create-resident-payment-rentvine

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_resident-payments_rentvine__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lease_id` (string, required) — The Propexo unique identifier for the lease
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account. This must be a bank account
- `resident_id` (string, required) — The Propexo unique identifier for the resident. The resident must be a primary.
- `amount_in_cents` (integer, required) — The amount of the resident payment, in cents
- `payment_type` (enum, required) — The type of payment used for the resident payment
  - Allowed values: `ACH`, `CREDIT/DEBIT_CARD`, `CHECK`, `MONEY_ORDER`, `CASH`, `OTHER`, `CASH_PAY`, `CASHIER_CHECK`
- `transaction_date` (V1ResidentPaymentsRentvinePostInputTransactionDate, required) — The transaction date of the resident payment
- `send_email_receipt` (boolean, required) — Indicates whether the payee would like to have a receipt emailed
- `description` (string, optional) — Description of the resident payment
- `reference_number` (string, optional) — The reference number for the resident payment

## Response

### 200

Successful response

- `meta` (V1ResidentPaymentsRentvinePostOutputMeta, required)
- `result` (V1ResidentPaymentsRentvinePostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentPaymentsRentvinePostInputTransactionDate

The transaction date of the resident payment

### V1ResidentPaymentsRentvinePostOutputMeta

- `job_id` (string, required)

### V1ResidentPaymentsRentvinePostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lease_id` (string, required) — The Propexo unique identifier for the lease
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account. This must be a bank account
- `resident_id` (string, required) — The Propexo unique identifier for the resident. The resident must be a primary.
- `amount_in_cents` (integer, required) — The amount of the resident payment, in cents
- `payment_type` (enum, required) — The type of payment used for the resident payment
  - Allowed values: `ACH`, `CREDIT/DEBIT_CARD`, `CHECK`, `MONEY_ORDER`, `CASH`, `OTHER`, `CASH_PAY`, `CASHIER_CHECK`
- `transaction_date` (V1ResidentPaymentsRentvinePostOutputResultTransactionDate, required, nullable)
- `send_email_receipt` (boolean, required) — Indicates whether the payee would like to have a receipt emailed
- `description` (string, required, nullable) — Description of the resident payment
- `reference_number` (string, required, nullable) — The reference number for the resident payment

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ResidentPaymentsRentvinePostOutputResultTransactionDate

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "lease_id": "lease_1234567890abcdef",
  "financial_account_id": "finacct_0987654321fedcba",
  "resident_id": "resident_abcdef1234567890",
  "amount_in_cents": 125000,
  "payment_type": "ACH",
  "transaction_date": "2024-04-10T14:45:00Z",
  "send_email_receipt": true
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_20240410144500_abc123xyz"
  },
  "result": {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "lease_id": "lease_1234567890abcdef",
    "financial_account_id": "finacct_0987654321fedcba",
    "resident_id": "resident_abcdef1234567890",
    "amount_in_cents": 125000,
    "payment_type": "ACH",
    "transaction_date": "2024-04-10T14:45:00Z",
    "send_email_receipt": true,
    "description": "April rent payment",
    "reference_number": "REF20240410ACH001"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/resident-payments/rentvine/"

payload = {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "lease_id": "lease_1234567890abcdef",
    "financial_account_id": "finacct_0987654321fedcba",
    "resident_id": "resident_abcdef1234567890",
    "amount_in_cents": 125000,
    "payment_type": "ACH",
    "transaction_date": "2024-04-10T14:45:00Z",
    "send_email_receipt": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/resident-payments/rentvine/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e","lease_id":"lease_1234567890abcdef","financial_account_id":"finacct_0987654321fedcba","resident_id":"resident_abcdef1234567890","amount_in_cents":125000,"payment_type":"ACH","transaction_date":"2024-04-10T14:45:00Z","send_email_receipt":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/resident-payments/rentvine/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease_1234567890abcdef\",\n  \"financial_account_id\": \"finacct_0987654321fedcba\",\n  \"resident_id\": \"resident_abcdef1234567890\",\n  \"amount_in_cents\": 125000,\n  \"payment_type\": \"ACH\",\n  \"transaction_date\": \"2024-04-10T14:45:00Z\",\n  \"send_email_receipt\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/resident-payments/rentvine/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease_1234567890abcdef\",\n  \"financial_account_id\": \"finacct_0987654321fedcba\",\n  \"resident_id\": \"resident_abcdef1234567890\",\n  \"amount_in_cents\": 125000,\n  \"payment_type\": \"ACH\",\n  \"transaction_date\": \"2024-04-10T14:45:00Z\",\n  \"send_email_receipt\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/resident-payments/rentvine/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease_1234567890abcdef\",\n  \"financial_account_id\": \"finacct_0987654321fedcba\",\n  \"resident_id\": \"resident_abcdef1234567890\",\n  \"amount_in_cents\": 125000,\n  \"payment_type\": \"ACH\",\n  \"transaction_date\": \"2024-04-10T14:45:00Z\",\n  \"send_email_receipt\": true\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/resident-payments/rentvine/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "lease_id": "lease_1234567890abcdef",
  "financial_account_id": "finacct_0987654321fedcba",
  "resident_id": "resident_abcdef1234567890",
  "amount_in_cents": 125000,
  "payment_type": "ACH",
  "transaction_date": "2024-04-10T14:45:00Z",
  "send_email_receipt": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/resident-payments/rentvine/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease_1234567890abcdef\",\n  \"financial_account_id\": \"finacct_0987654321fedcba\",\n  \"resident_id\": \"resident_abcdef1234567890\",\n  \"amount_in_cents\": 125000,\n  \"payment_type\": \"ACH\",\n  \"transaction_date\": \"2024-04-10T14:45:00Z\",\n  \"send_email_receipt\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "lease_id": "lease_1234567890abcdef",
  "financial_account_id": "finacct_0987654321fedcba",
  "resident_id": "resident_abcdef1234567890",
  "amount_in_cents": 125000,
  "payment_type": "ACH",
  "transaction_date": "2024-04-10T14:45:00Z",
  "send_email_receipt": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/resident-payments/rentvine/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```